把动态数据源版本升级一下吧,有需求需要

Blade 已结 2 345
gtfhao
gtfhao 剑尊 2023-10-11 18:33

一、该问题的重现步骤是什么?

1. 升级下动态数据源版本

2. 目前版本是:

<dependency>

    <groupId>com.baomidou</groupId>

    <artifactId>dynamic-datasource-spring-boot-starter</artifactId>

    <version>3.3.6</version>

</dependency>

3.这个版本里配置keepAlive和keepAliveBetweenTimeMillis参数没有,会导致连接外网数据库时,过几分钟访问页面超慢的问题


二、你期待的结果是什么?实际看到的又是什么?

期望:升级新版dynamic-datasource-spring-boot-starter 4.1.3

实际:dynamic-datasource-spring-boot-starter 3.3.6

三、你正在使用的是什么产品,什么版本?在什么操作系统上?

bladex-boot3.2.0 企业版  Windows11

四、请提供详细的错误堆栈信息,这很重要。


五、若有更多详细信息,请在下面提供。

2条回答
  •  admin
    admin (最佳回答者)
    2023-10-12 12:01

    如果着急的话先升级看看有没有坑,如果你后续遇到我们设计不合理的,或者已经解决的bug,欢迎随意提交给我们 bladejava@qq.com


    后续我们会安排更新一下版本

    作者追问:2023-10-12 12:01

    好的

    0 讨论(1)
  • 可以下bladex-tool源码自行升级下。

    )SZ7JF2DDWIIH8BB@I]CULK.png

    0 讨论(0)
提交回复